org.jetlang.web

## Interface Handler<T>

All Known Subinterfaces:
  HttpHandler<T>

All Known Implementing Classes:
  AuthHttpHandler, StaticHtml, WebSocketRequestHandler

    public interface Handler<T>

### Method Summary

All Methods Instance Methods Abstract Methods
`NioReader.State` `start(SessionDispatcherFactory.SessionDispatcher<T> dispatcher, HttpRequest headers, HttpResponse response, HeaderReader<T> headerReader, NioWriter writer, T sessionState)`

### Method Detail

#### start

    NioReader.State start(SessionDispatcherFactory.SessionDispatcher<T> dispatcher,
                          HttpRequest headers,
                          HttpResponse response,
                          HeaderReader<T> headerReader,
                          NioWriter writer,
                          T sessionState)